## duplicity-rel.3.0.6.tar.bz2

=== requirements.txt ===

##### basic requirements #####

fasteners>=0.19
setuptools>=78.1.0

##### backend libraries #####

azure-storage-blob
b2sdk
boto3
botocore
boxsdk[jwt]
dropbox
gdata-python3
google-api-python-client
google-auth-oauthlib
httplib2
jottalib
keyring
lxml<=5.4.0  # newer vers do not build on Ubuntu < 24.04
mediafire
megatools
paramiko
pexpect
psutil
pydrive2
pyrax
python-swiftclient
requests
requests-oauthlib

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Duplicity Team <duplicity-team@lists.launchpad.net>
Build-Depends: debhelper (>= 13),
               dh-python,
               python3 (>= 3.9),
               gnupg,
               librsync-dev (>= 0.9.6),
               par2,
               pylint,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-runner,
               python3-dev,
               python3-fasteners,
               python3-pycodestyle,
               python3-pexpect,
               python3-setuptools,
               rdiff,
               rename,
               rsync,
Homepage: https://duplicity.gitlab.io
Standards-Version: 3.9.5
X-Python3-Version: >= 3.9

Package: duplicity
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         gnupg,
         lftp,
         python3-fasteners,
         python3-pexpect,
Suggests: ncftp,
          python3-boto3,
          python3-paramiko,
          python3-kerberos,
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.
